(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global['canal-tools'] = {}),global.core,global.common));
}(this, (function (exports,core,common) { 'use strict';

var AccordionComponent = /** @class */ (function () {
    function AccordionComponent() {
        this.minimal = false;
    }
    AccordionComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'canal-accordion',
                    styles: ["@keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @-webkit-keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } @-webkit-keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } html { font-size: 87.5%; } @media all and (max-width: 768px) { html { font-size: 81.25%; } } body { font-size: 1em; line-height: 1.85714em; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #666666; font-weight: 400; } h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 { font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #252525; font-weight: 300; font-variant-ligatures: common-ligatures; margin-top: 0; margin-bottom: 0; } h1, .h1 { font-size: 3.14286em; line-height: 1.31818em; } h2, .h2 { font-size: 2.35714em; line-height: 1.36364em; } h3, .h3 { font-size: 1.78571em; line-height: 1.5em; } h4, .h4 { font-size: 1.35714em; line-height: 1.36842em; } h5, .h5 { font-size: 1em; line-height: 1.85714em; } h6, .h6 { font-size: 0.85714em; line-height: 2.16667em; } .lead { font-size: 1.35714em; line-height: 1.68421em; } @media all and (max-width: 767px) { h1, .h1 { font-size: 2.35714em; line-height: 1.36364em; } h2, .h2 { font-size: 1.78571em; line-height: 1.5em; } h3, .h3 { font-size: 1.35714em; line-height: 1.85714em; } .lead { font-size: 1.35714em; line-height: 1.36842em; } } p, ul, ol, pre, table, blockquote { margin-bottom: 1.85714em; } ul, ol { list-style: none; line-height: 1.85714em; } ul.bullets { list-style: inside; } ol { list-style-type: upper-roman; list-style-position: inside; } blockquote { font-size: 1.78571em; line-height: 1.5em; padding: 0; margin: 0; border-left: 0; } strong { font-weight: 600; } hr { margin: 1.85714em 0; border-color: #FAFAFA; } a:hover, a:focus, a:active { text-decoration: none; outline: none; } /*! Typography -- Helpers */ .type--fade { opacity: .5; } .type--uppercase { text-transform: uppercase; } .type--bold { font-weight: bold; } .type--italic { font-style: italic; } .type--fine-print { font-size: 0.85714em; } .type--strikethrough { text-decoration: line-through; opacity: .5; } .type--underline { text-decoration: underline; } .type--body-font { font-family: \"Open Sans\", \"Helvetica\"; } /*! -- Stack Typography -- */ @media all and (max-width: 1024px) { html { font-size: 80%; } } h1, .h1 { letter-spacing: -.01em; } h1:not(:last-child), .h1:not(:last-child) { margin-bottom: 0.59090909090909em; } @media all and (min-width: 768px) { h1.h1--large, .h1.h1--large { font-weight: 200; font-size: 4.428571428571429em; line-height: 1.048387096774194em; } h1.h1--large:not(:last-child), .h1.h1--large:not(:last-child) { margin-bottom: 0.419354838709677em; } h1.h1--large.type--uppercase, .h1.h1--large.type--uppercase { letter-spacing: 10px; margin-right: -10px; } h1.h1--large + p.lead, .h1.h1--large + p.lead { margin-top: 2.052631578947368em; } } h2, .h2 { margin-bottom: 0.78787878787879em; } h3, .h3 { margin-bottom: 1.04em; } h3 strong, .h3 strong { font-weight: 400; } blockquote { font-family: 'Merriweather', serif; font-style: italic; font-weight: 300; } blockquote:not(:last-child) { margin-bottom: 1.04em; } blockquote > p { font-size: 1em !important; } h4, .h4 { margin-bottom: 1.36842105263158em; font-weight: 400; } h4.inline-block + .h4.inline-block:not(.typed-text), .h4.inline-block + .h4.inline-block:not(.typed-text) { margin-left: 0.68421052631579em; } h5, .h5 { font-weight: 600; } h5:not(:last-child), .h5:not(:last-child) { margin-bottom: 1.85714em; } h6, .h6 { font-weight: 700; } h6:not(:last-child), .h6:not(:last-child) { margin-bottom: 2.16666666666667em; } h6.type--uppercase, .h6.type--uppercase { letter-spacing: 1px; margin-right: -1px; } span.h1:not(.inline-block), span.h2:not(.inline-block), span.h3:not(.inline-block), span.h4:not(.inline-block), span.h5:not(.inline-block), span.h6:not(.inline-block) { display: block; } b { font-weight: 600; } hr { border-color: #ECECEC; } .bg--dark hr { border-color: #585858; } [class*='bg-']:not(.bg--white):not(.bg--secondary) p, [class*='imagebg']:not(.image--light) p { opacity: .9; } .lead { font-weight: 400; color: gray; } .lead:not(:last-child) { margin-bottom: 1.36842105263158em; } .lead + .btn:last-child { margin-top: 0.92857em; } p:last-child { margin-bottom: 0; } p strong { color: #252525; } pre { padding: 0.92857em; background: #FAFAFA; border: 1px solid #ececec; border-radius: 6px; line-height: 20px; max-height: 500px; } .bg--secondary > pre { background: whitesmoke; border-color: #ddd; } .text-block:not(:last-child) { margin-bottom: 1.85714em; } .text-block h2, .text-block .h2 { margin-bottom: 0.3939393939394em; } .text-block h5, .text-block .h5 { margin: 0; } .text-block h4:not(:last-child), .text-block .h4:not(:last-child) { margin-bottom: 0.3421052631579em; } .text-block h3, .text-block .h3 { margin-bottom: 0.52em; } @media all and (min-width: 768px) { div[class*='col-'] .text-block + .text-block { margin-top: 3.71429em; } } .heading-block { margin-bottom: 3.71429em; } .heading-block h1, .heading-block h2, .heading-block h3, .heading-block h4, .heading-block h5, .heading-block h6, .heading-block .h1, .heading-block .h2, .heading-block .h3, .heading-block .h4, .heading-block .h5, .heading-block .h6 { margin-bottom: 0; } canal-accordion li .accordion__title, canal-accordion li .accordion__content, canal-accordion li .accordion__content * { transition: .3s, linear; } canal-accordion li .accordion__title { cursor: pointer; padding: 0.46429em 0.92857em; border: 1px solid #ECECEC; border-bottom: none; background: none; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; } canal-accordion li:last-child .accordion__title { border-bottom: 1px solid #ECECEC; } canal-accordion li .accordion__content { opacity: 0; visibility: hidden; max-height: 0; } canal-accordion li .accordion__content > * { display: none; } canal-accordion li .accordion__content > *:first-child { padding-top: 0; } canal-accordion li .accordion__content > *:last-child { padding-bottom: 0; } canal-accordion li.active .accordion__title { background: #0084ff; border-bottom: 1px solid #ECECEC; } canal-accordion li.active .accordion__content { opacity: 1; visibility: visible; max-height: 500px; } canal-accordion li.active .accordion__content > * { display: inline-block; } canal-accordion .accordion__title { transition: 0.5s, ease; opacity: .5; margin-bottom: 0.92857em; } canal-accordion .accordion__title:hover { opacity: 1; } canal-accordion .accordion__title:before { font-family: \"stack-interface\"; content: '\e80d'; margin-right: 6px; color: #252525; } canal-accordion .accordion__title span { display: inline-block; } canal-accordion li.active { margin-bottom: 0.92857em; } canal-accordion li.active .accordion__title { opacity: 1; } canal-accordion li.active .accordion__title:before { content: '\e80a'; } canal-accordion li.active .accordion__content { animation: fadeUp .5s ease forwards; -webkit-animation: fadeUp .5s ease forwards; } .accordion-1 li.active .accordion__title { border-color: #0084ff; } .accordion-1 li.active .accordion__title span { color: #fff; } .accordion-1 li.active .accordion__title:before { color: #fff; } .accordion-1 li .accordion__title { border-radius: 6px; border-bottom: 1px solid #ECECEC; } .accordion-2 li .accordion__title { border-left: none; border-right: none; border-top: none; border-bottom: 1px solid #ECECEC; padding-left: 0; } .accordion-2 li.active .accordion__title { background: none; border-bottom: 1px solid transparent; } .bg--dark .accordion-2 li .accordion__title, .bg--dark .accordion-1 li .accordion__title, .imagebg:not(.image--light) .accordion-2 li .accordion__title, .imagebg:not(.image--light) .accordion-1 li .accordion__title, .bg--primary .accordion-2 li .accordion__title, .bg--primary .accordion-1 li .accordion__title { border-color: #4b4b4b; } .bg--dark .accordion-2 li .accordion__title:before, .bg--dark .accordion-1 li .accordion__title:before, .imagebg:not(.image--light) .accordion-2 li .accordion__title:before, .imagebg:not(.image--light) .accordion-1 li .accordion__title:before, .bg--primary .accordion-2 li .accordion__title:before, .bg--primary .accordion-1 li .accordion__title:before { color: #fff; } .imagebg:not(.image--light) canal-accordion li .accordion__title, .bg--primary canal-accordion li .accordion__title { border-color: rgba(255, 255, 255, 0.3); } "],
                    template: "<ul class=\"accordion\" [class.accordion-1]=\"!minimal\" [class.accordion-2]=\"minimal\"> <ng-content></ng-content> </ul> "
                },] },
    ];
    /**
     * @nocollapse
     */
    AccordionComponent.ctorParameters = function () { return []; };
    AccordionComponent.propDecorators = {
        'minimal': [{ type: core.Input },],
    };
    return AccordionComponent;
}());

var AccordionElementComponent = /** @class */ (function () {
    function AccordionElementComponent() {
        this.activated = false;
        this.forceOpen = false;
    }
    /**
     * @return {?}
     */
    AccordionElementComponent.prototype.setActive = function () {
        if (this.activated) {
            if (!this.forceOpen) {
                this.activated = false;
            }
        }
        else {
            // if (this.oneOpen) {
            //     var wasActive = accordion.find('li.active');
            //     if (wasActive.length) {
            //         wasActive.removeClass('active');
            //         wasActive.trigger('panelClosed.accordions.mr').get(0).dispatchEvent(closeEvent);
            //     }
            //     li.addClass('active');
            //     li.trigger('panelOpened.accordions.mr').get(0).dispatchEvent(openEvent);
            // }
            // else {
            this.activated = true;
            // }
        }
    };
    AccordionElementComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'canal-accordion-element',
                    styles: ["@keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @-webkit-keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } @-webkit-keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } html { font-size: 87.5%; } @media all and (max-width: 768px) { html { font-size: 81.25%; } } body { font-size: 1em; line-height: 1.85714em; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #666666; font-weight: 400; } h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 { font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #252525; font-weight: 300; font-variant-ligatures: common-ligatures; margin-top: 0; margin-bottom: 0; } h1, .h1 { font-size: 3.14286em; line-height: 1.31818em; } h2, .h2 { font-size: 2.35714em; line-height: 1.36364em; } h3, .h3 { font-size: 1.78571em; line-height: 1.5em; } h4, .h4 { font-size: 1.35714em; line-height: 1.36842em; } h5, .h5 { font-size: 1em; line-height: 1.85714em; } h6, .h6 { font-size: 0.85714em; line-height: 2.16667em; } .lead { font-size: 1.35714em; line-height: 1.68421em; } @media all and (max-width: 767px) { h1, .h1 { font-size: 2.35714em; line-height: 1.36364em; } h2, .h2 { font-size: 1.78571em; line-height: 1.5em; } h3, .h3 { font-size: 1.35714em; line-height: 1.85714em; } .lead { font-size: 1.35714em; line-height: 1.36842em; } } p, ul, ol, pre, table, blockquote { margin-bottom: 1.85714em; } ul, ol { list-style: none; line-height: 1.85714em; } ul.bullets { list-style: inside; } ol { list-style-type: upper-roman; list-style-position: inside; } blockquote { font-size: 1.78571em; line-height: 1.5em; padding: 0; margin: 0; border-left: 0; } strong { font-weight: 600; } hr { margin: 1.85714em 0; border-color: #FAFAFA; } a:hover, a:focus, a:active { text-decoration: none; outline: none; } /*! Typography -- Helpers */ .type--fade { opacity: .5; } .type--uppercase { text-transform: uppercase; } .type--bold { font-weight: bold; } .type--italic { font-style: italic; } .type--fine-print { font-size: 0.85714em; } .type--strikethrough { text-decoration: line-through; opacity: .5; } .type--underline { text-decoration: underline; } .type--body-font { font-family: \"Open Sans\", \"Helvetica\"; } /*! -- Stack Typography -- */ @media all and (max-width: 1024px) { html { font-size: 80%; } } h1, .h1 { letter-spacing: -.01em; } h1:not(:last-child), .h1:not(:last-child) { margin-bottom: 0.59090909090909em; } @media all and (min-width: 768px) { h1.h1--large, .h1.h1--large { font-weight: 200; font-size: 4.428571428571429em; line-height: 1.048387096774194em; } h1.h1--large:not(:last-child), .h1.h1--large:not(:last-child) { margin-bottom: 0.419354838709677em; } h1.h1--large.type--uppercase, .h1.h1--large.type--uppercase { letter-spacing: 10px; margin-right: -10px; } h1.h1--large + p.lead, .h1.h1--large + p.lead { margin-top: 2.052631578947368em; } } h2, .h2 { margin-bottom: 0.78787878787879em; } h3, .h3 { margin-bottom: 1.04em; } h3 strong, .h3 strong { font-weight: 400; } blockquote { font-family: 'Merriweather', serif; font-style: italic; font-weight: 300; } blockquote:not(:last-child) { margin-bottom: 1.04em; } blockquote > p { font-size: 1em !important; } h4, .h4 { margin-bottom: 1.36842105263158em; font-weight: 400; } h4.inline-block + .h4.inline-block:not(.typed-text), .h4.inline-block + .h4.inline-block:not(.typed-text) { margin-left: 0.68421052631579em; } h5, .h5 { font-weight: 600; } h5:not(:last-child), .h5:not(:last-child) { margin-bottom: 1.85714em; } h6, .h6 { font-weight: 700; } h6:not(:last-child), .h6:not(:last-child) { margin-bottom: 2.16666666666667em; } h6.type--uppercase, .h6.type--uppercase { letter-spacing: 1px; margin-right: -1px; } span.h1:not(.inline-block), span.h2:not(.inline-block), span.h3:not(.inline-block), span.h4:not(.inline-block), span.h5:not(.inline-block), span.h6:not(.inline-block) { display: block; } b { font-weight: 600; } hr { border-color: #ECECEC; } .bg--dark hr { border-color: #585858; } [class*='bg-']:not(.bg--white):not(.bg--secondary) p, [class*='imagebg']:not(.image--light) p { opacity: .9; } .lead { font-weight: 400; color: gray; } .lead:not(:last-child) { margin-bottom: 1.36842105263158em; } .lead + .btn:last-child { margin-top: 0.92857em; } p:last-child { margin-bottom: 0; } p strong { color: #252525; } pre { padding: 0.92857em; background: #FAFAFA; border: 1px solid #ececec; border-radius: 6px; line-height: 20px; max-height: 500px; } .bg--secondary > pre { background: whitesmoke; border-color: #ddd; } .text-block:not(:last-child) { margin-bottom: 1.85714em; } .text-block h2, .text-block .h2 { margin-bottom: 0.3939393939394em; } .text-block h5, .text-block .h5 { margin: 0; } .text-block h4:not(:last-child), .text-block .h4:not(:last-child) { margin-bottom: 0.3421052631579em; } .text-block h3, .text-block .h3 { margin-bottom: 0.52em; } @media all and (min-width: 768px) { div[class*='col-'] .text-block + .text-block { margin-top: 3.71429em; } } .heading-block { margin-bottom: 3.71429em; } .heading-block h1, .heading-block h2, .heading-block h3, .heading-block h4, .heading-block h5, .heading-block h6, .heading-block .h1, .heading-block .h2, .heading-block .h3, .heading-block .h4, .heading-block .h5, .heading-block .h6 { margin-bottom: 0; } "],
                    template: "<li [class.active]=\"activated\"> <div class=\"accordion__title\" (click)=\"setActive()\"> <span class=\"h5\">{{title}}</span> </div> <div class=\"accordion__content\"> <ng-content></ng-content> </div> </li> ",
                },] },
    ];
    /**
     * @nocollapse
     */
    AccordionElementComponent.ctorParameters = function () { return []; };
    AccordionElementComponent.propDecorators = {
        'title': [{ type: core.Input },],
        'activated': [{ type: core.Input },],
        'forceOpen': [{ type: core.Input },],
    };
    return AccordionElementComponent;
}());

var AlertComponent = /** @class */ (function () {
    function AlertComponent() {
        this.onDismiss = new core.EventEmitter();
        this.color = 'primary';
    }
    /**
     * @return {?}
     */
    AlertComponent.prototype.close = function () {
        this.onDismiss.emit(true);
    };
    AlertComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'canal-alert',
                    styles: ["@keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @-webkit-keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } @-webkit-keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } html { font-size: 87.5%; } @media all and (max-width: 768px) { html { font-size: 81.25%; } } body { font-size: 1em; line-height: 1.85714em; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #666666; font-weight: 400; } h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 { font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #252525; font-weight: 300; font-variant-ligatures: common-ligatures; margin-top: 0; margin-bottom: 0; } h1, .h1 { font-size: 3.14286em; line-height: 1.31818em; } h2, .h2 { font-size: 2.35714em; line-height: 1.36364em; } h3, .h3 { font-size: 1.78571em; line-height: 1.5em; } h4, .h4 { font-size: 1.35714em; line-height: 1.36842em; } h5, .h5 { font-size: 1em; line-height: 1.85714em; } h6, .h6 { font-size: 0.85714em; line-height: 2.16667em; } .lead { font-size: 1.35714em; line-height: 1.68421em; } @media all and (max-width: 767px) { h1, .h1 { font-size: 2.35714em; line-height: 1.36364em; } h2, .h2 { font-size: 1.78571em; line-height: 1.5em; } h3, .h3 { font-size: 1.35714em; line-height: 1.85714em; } .lead { font-size: 1.35714em; line-height: 1.36842em; } } p, ul, ol, pre, table, blockquote { margin-bottom: 1.85714em; } ul, ol { list-style: none; line-height: 1.85714em; } ul.bullets { list-style: inside; } ol { list-style-type: upper-roman; list-style-position: inside; } blockquote { font-size: 1.78571em; line-height: 1.5em; padding: 0; margin: 0; border-left: 0; } strong { font-weight: 600; } hr { margin: 1.85714em 0; border-color: #FAFAFA; } a:hover, a:focus, a:active { text-decoration: none; outline: none; } /*! Typography -- Helpers */ .type--fade { opacity: .5; } .type--uppercase { text-transform: uppercase; } .type--bold { font-weight: bold; } .type--italic { font-style: italic; } .type--fine-print { font-size: 0.85714em; } .type--strikethrough { text-decoration: line-through; opacity: .5; } .type--underline { text-decoration: underline; } .type--body-font { font-family: \"Open Sans\", \"Helvetica\"; } /*! -- Stack Typography -- */ @media all and (max-width: 1024px) { html { font-size: 80%; } } h1, .h1 { letter-spacing: -.01em; } h1:not(:last-child), .h1:not(:last-child) { margin-bottom: 0.59090909090909em; } @media all and (min-width: 768px) { h1.h1--large, .h1.h1--large { font-weight: 200; font-size: 4.428571428571429em; line-height: 1.048387096774194em; } h1.h1--large:not(:last-child), .h1.h1--large:not(:last-child) { margin-bottom: 0.419354838709677em; } h1.h1--large.type--uppercase, .h1.h1--large.type--uppercase { letter-spacing: 10px; margin-right: -10px; } h1.h1--large + p.lead, .h1.h1--large + p.lead { margin-top: 2.052631578947368em; } } h2, .h2 { margin-bottom: 0.78787878787879em; } h3, .h3 { margin-bottom: 1.04em; } h3 strong, .h3 strong { font-weight: 400; } blockquote { font-family: 'Merriweather', serif; font-style: italic; font-weight: 300; } blockquote:not(:last-child) { margin-bottom: 1.04em; } blockquote > p { font-size: 1em !important; } h4, .h4 { margin-bottom: 1.36842105263158em; font-weight: 400; } h4.inline-block + .h4.inline-block:not(.typed-text), .h4.inline-block + .h4.inline-block:not(.typed-text) { margin-left: 0.68421052631579em; } h5, .h5 { font-weight: 600; } h5:not(:last-child), .h5:not(:last-child) { margin-bottom: 1.85714em; } h6, .h6 { font-weight: 700; } h6:not(:last-child), .h6:not(:last-child) { margin-bottom: 2.16666666666667em; } h6.type--uppercase, .h6.type--uppercase { letter-spacing: 1px; margin-right: -1px; } span.h1:not(.inline-block), span.h2:not(.inline-block), span.h3:not(.inline-block), span.h4:not(.inline-block), span.h5:not(.inline-block), span.h6:not(.inline-block) { display: block; } b { font-weight: 600; } hr { border-color: #ECECEC; } .bg--dark hr { border-color: #585858; } [class*='bg-']:not(.bg--white):not(.bg--secondary) p, [class*='imagebg']:not(.image--light) p { opacity: .9; } .lead { font-weight: 400; color: gray; } .lead:not(:last-child) { margin-bottom: 1.36842105263158em; } .lead + .btn:last-child { margin-top: 0.92857em; } p:last-child { margin-bottom: 0; } p strong { color: #252525; } pre { padding: 0.92857em; background: #FAFAFA; border: 1px solid #ececec; border-radius: 6px; line-height: 20px; max-height: 500px; } .bg--secondary > pre { background: whitesmoke; border-color: #ddd; } .text-block:not(:last-child) { margin-bottom: 1.85714em; } .text-block h2, .text-block .h2 { margin-bottom: 0.3939393939394em; } .text-block h5, .text-block .h5 { margin: 0; } .text-block h4:not(:last-child), .text-block .h4:not(:last-child) { margin-bottom: 0.3421052631579em; } .text-block h3, .text-block .h3 { margin-bottom: 0.52em; } @media all and (min-width: 768px) { div[class*='col-'] .text-block + .text-block { margin-top: 3.71429em; } } .heading-block { margin-bottom: 3.71429em; } .heading-block h1, .heading-block h2, .heading-block h3, .heading-block h4, .heading-block h5, .heading-block h6, .heading-block .h1, .heading-block .h2, .heading-block .h3, .heading-block .h4, .heading-block .h5, .heading-block .h6 { margin-bottom: 0; } :host .alert { overflow: hidden; border: 1px solid #e6e6e6; padding: 0.92857em; border-radius: 6px; } :host .alert .alert__body, :host .alert .alert__close { display: inline-block; user-select: none; } :host .alert .alert__body { float: left; } :host .alert .alert__close { float: right; cursor: pointer; } :host .alert.danger { background: #fce8e8; border-color: #E23636; } :host .alert.danger .alert__body { color: #E23636 !important; } :host .alert.danger .alert__close { color: #E23636; } :host .alert.success { background: #e4f5e5; border-color: #4EBF56; } :host .alert.success .alert__close { color: #4EBF56; } :host .alert.secondary { background: #fafcfe; border-color: #4A90E2; } :host .alert.secondary .alert__close { color: #4A90E2; } :host .alert.dark { background: #8b8b8b; border-color: #252525; } :host .alert.dark .alert__close { color: #252525; } :host .alert.primary { background: #cce6ff; border-color: #0084ff; } :host .alert.primary .alert__body > span { color: #666666; } :host .alert.primary .alert__close { color: #0084ff; } :host .alert:not(:last-child) { margin-bottom: 1.85714em; } :host .alert .alert__close { font-size: 1.35714em; } "],
                    template: "<div class=\"alert\" [class.primary]=\"color == 'primary'\" [class.secondary]=\"color == 'secondary'\" [class.dark]=\"color == 'dark'\" [class.success]=\"color == 'success'\" [class.danger]=\"color == 'danger'\"> <div class=\"alert__body\"> <ng-content></ng-content> </div> <div class=\"alert__close\" (click)=\"close()\">&times;</div> </div> "
                },] },
    ];
    /**
     * @nocollapse
     */
    AlertComponent.ctorParameters = function () { return []; };
    AlertComponent.propDecorators = {
        'onDismiss': [{ type: core.Output },],
        'color': [{ type: core.Input },],
    };
    return AlertComponent;
}());

/**
 * @hidden
 */
var Canal = /** @class */ (function () {
    /**
     * @param {?} elementRef
     * @param {?} renderer
     * @param {?=} componentName
     */
    function Canal(elementRef, renderer, componentName) {
        this._elementRef = elementRef;
        this._renderer = renderer;
        this._componentName = componentName;
        if (componentName) {
            this._setComponentName();
        }
    }
    Object.defineProperty(Canal.prototype, "color", {
        /**
         * @return {?}
         */
        get: function () {
            return this._color;
        },
        /**
         * \@input {string} The color to use from your Sass `$colors` map.
         * Default options are: `"primary"`, `"secondary"`, `"danger"`, `"light"`, and `"dark"`.
         * For more information, see [Theming your App](/docs/theming/theming-your-app).
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._setColor(val);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    Canal.prototype.ngAfterViewInit = function () {
        this._init = true;
    };
    /**
     * @hidden
     * @param {?} className
     * @param {?} isAdd
     * @return {?}
     */
    Canal.prototype.setElementClass = function (className, isAdd) {
        if (isAdd) {
            this._renderer.addClass(this._elementRef.nativeElement, className);
        }
        else {
            this._renderer.removeClass(this._elementRef.nativeElement, className);
        }
    };
    /**
     * @hidden
     * @param {?} attributeName
     * @param {?} attributeValue
     * @return {?}
     */
    Canal.prototype.setElementAttribute = function (attributeName, attributeValue) {
        this._renderer.setAttribute(this._elementRef.nativeElement, attributeName, attributeValue);
    };
    /**
     * @hidden
     * @param {?} property
     * @param {?} value
     * @return {?}
     */
    Canal.prototype.setElementStyle = function (property, value) {
        this._renderer.setStyle(this._elementRef.nativeElement, property, value);
    };
    /**
     * @hidden
     * @param {?} newColor
     * @param {?=} componentName
     * @return {?}
     */
    Canal.prototype._setColor = function (newColor, componentName) {
        if (componentName) {
            // This is needed for the item-radio
            this._componentName = componentName;
        }
        if (this._color) {
            this.setElementClass(this._componentName + "-" + this._color, false);
        }
        if (newColor) {
            this.setElementClass(this._componentName + "-" + newColor, true);
            this._color = newColor;
        }
    };
    /**
     * @hidden
     * @return {?}
     */
    Canal.prototype._setComponentName = function () {
        this.setElementClass(this._componentName, true);
    };
    /**
     * @hidden
     * @return {?}
     */
    Canal.prototype.getElementRef = function () {
        return this._elementRef;
    };
    /**
     * @hidden
     * @return {?}
     */
    Canal.prototype.getNativeElement = function () {
        return this._elementRef.nativeElement;
    };
    Canal.propDecorators = {
        'color': [{ type: core.Input },],
    };
    return Canal;
}());

var __extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var BackgroundComponent = /** @class */ (function (_super) {
    __extends(BackgroundComponent, _super);
    /**
     * @param {?} elementRef
     * @param {?} renderer
     */
    function BackgroundComponent(elementRef, renderer) {
        var _this = _super.call(this, elementRef, renderer) || this;
        _this.elementRef = elementRef;
        _this.renderer = renderer;
        _this._opacity = false;
        return _this;
    }
    Object.defineProperty(BackgroundComponent.prototype, "opacity", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._opacity = true;
        },
        enumerable: true,
        configurable: true
    });
    
    /**
     * @return {?}
     */
    BackgroundComponent.prototype.ngAfterViewInit = function () {
        this.setElementStyle('background', 'url(' + this.src + ')');
        this.setElementStyle('background-position', 'initial');
        if (this._opacity) {
            this.setElementStyle('opacity', '1');
        }
    };
    BackgroundComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'canal-background',
                    styles: ["@keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @-webkit-keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } @-webkit-keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } html { font-size: 87.5%; } @media all and (max-width: 768px) { html { font-size: 81.25%; } } body { font-size: 1em; line-height: 1.85714em; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #666666; font-weight: 400; } h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 { font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #252525; font-weight: 300; font-variant-ligatures: common-ligatures; margin-top: 0; margin-bottom: 0; } h1, .h1 { font-size: 3.14286em; line-height: 1.31818em; } h2, .h2 { font-size: 2.35714em; line-height: 1.36364em; } h3, .h3 { font-size: 1.78571em; line-height: 1.5em; } h4, .h4 { font-size: 1.35714em; line-height: 1.36842em; } h5, .h5 { font-size: 1em; line-height: 1.85714em; } h6, .h6 { font-size: 0.85714em; line-height: 2.16667em; } .lead { font-size: 1.35714em; line-height: 1.68421em; } @media all and (max-width: 767px) { h1, .h1 { font-size: 2.35714em; line-height: 1.36364em; } h2, .h2 { font-size: 1.78571em; line-height: 1.5em; } h3, .h3 { font-size: 1.35714em; line-height: 1.85714em; } .lead { font-size: 1.35714em; line-height: 1.36842em; } } p, ul, ol, pre, table, blockquote { margin-bottom: 1.85714em; } ul, ol { list-style: none; line-height: 1.85714em; } ul.bullets { list-style: inside; } ol { list-style-type: upper-roman; list-style-position: inside; } blockquote { font-size: 1.78571em; line-height: 1.5em; padding: 0; margin: 0; border-left: 0; } strong { font-weight: 600; } hr { margin: 1.85714em 0; border-color: #FAFAFA; } a:hover, a:focus, a:active { text-decoration: none; outline: none; } /*! Typography -- Helpers */ .type--fade { opacity: .5; } .type--uppercase { text-transform: uppercase; } .type--bold { font-weight: bold; } .type--italic { font-style: italic; } .type--fine-print { font-size: 0.85714em; } .type--strikethrough { text-decoration: line-through; opacity: .5; } .type--underline { text-decoration: underline; } .type--body-font { font-family: \"Open Sans\", \"Helvetica\"; } /*! -- Stack Typography -- */ @media all and (max-width: 1024px) { html { font-size: 80%; } } h1, .h1 { letter-spacing: -.01em; } h1:not(:last-child), .h1:not(:last-child) { margin-bottom: 0.59090909090909em; } @media all and (min-width: 768px) { h1.h1--large, .h1.h1--large { font-weight: 200; font-size: 4.428571428571429em; line-height: 1.048387096774194em; } h1.h1--large:not(:last-child), .h1.h1--large:not(:last-child) { margin-bottom: 0.419354838709677em; } h1.h1--large.type--uppercase, .h1.h1--large.type--uppercase { letter-spacing: 10px; margin-right: -10px; } h1.h1--large + p.lead, .h1.h1--large + p.lead { margin-top: 2.052631578947368em; } } h2, .h2 { margin-bottom: 0.78787878787879em; } h3, .h3 { margin-bottom: 1.04em; } h3 strong, .h3 strong { font-weight: 400; } blockquote { font-family: 'Merriweather', serif; font-style: italic; font-weight: 300; } blockquote:not(:last-child) { margin-bottom: 1.04em; } blockquote > p { font-size: 1em !important; } h4, .h4 { margin-bottom: 1.36842105263158em; font-weight: 400; } h4.inline-block + .h4.inline-block:not(.typed-text), .h4.inline-block + .h4.inline-block:not(.typed-text) { margin-left: 0.68421052631579em; } h5, .h5 { font-weight: 600; } h5:not(:last-child), .h5:not(:last-child) { margin-bottom: 1.85714em; } h6, .h6 { font-weight: 700; } h6:not(:last-child), .h6:not(:last-child) { margin-bottom: 2.16666666666667em; } h6.type--uppercase, .h6.type--uppercase { letter-spacing: 1px; margin-right: -1px; } span.h1:not(.inline-block), span.h2:not(.inline-block), span.h3:not(.inline-block), span.h4:not(.inline-block), span.h5:not(.inline-block), span.h6:not(.inline-block) { display: block; } b { font-weight: 600; } hr { border-color: #ECECEC; } .bg--dark hr { border-color: #585858; } [class*='bg-']:not(.bg--white):not(.bg--secondary) p, [class*='imagebg']:not(.image--light) p { opacity: .9; } .lead { font-weight: 400; color: gray; } .lead:not(:last-child) { margin-bottom: 1.36842105263158em; } .lead + .btn:last-child { margin-top: 0.92857em; } p:last-child { margin-bottom: 0; } p strong { color: #252525; } pre { padding: 0.92857em; background: #FAFAFA; border: 1px solid #ececec; border-radius: 6px; line-height: 20px; max-height: 500px; } .bg--secondary > pre { background: whitesmoke; border-color: #ddd; } .text-block:not(:last-child) { margin-bottom: 1.85714em; } .text-block h2, .text-block .h2 { margin-bottom: 0.3939393939394em; } .text-block h5, .text-block .h5 { margin: 0; } .text-block h4:not(:last-child), .text-block .h4:not(:last-child) { margin-bottom: 0.3421052631579em; } .text-block h3, .text-block .h3 { margin-bottom: 0.52em; } @media all and (min-width: 768px) { div[class*='col-'] .text-block + .text-block { margin-top: 3.71429em; } } .heading-block { margin-bottom: 3.71429em; } .heading-block h1, .heading-block h2, .heading-block h3, .heading-block h4, .heading-block h5, .heading-block h6, .heading-block .h1, .heading-block .h2, .heading-block .h3, .heading-block .h4, .heading-block .h5, .heading-block .h6 { margin-bottom: 0; } canal-background { background: #252525; } :host { position: absolute; width: 100%; height: 100%; top: 0; left: 0; background-size: cover !important; background-position: 50% 50% !important; z-index: 2; transition: opacity .3s linear; -webkit-transition: opacity .3s linear; opacity: 0; background: #252525; } :host.background--bottom { background-position: 50% 100% !important; } :host.background--top { background-position: 50% 0% !important; } .parallax { overflow: hidden; } .parallax :host { transition: none !important; -webkit-transition: none !important; -moz-transition: none !important; } .overlay-1 { position: relative; } .overlay-1:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-1 *:not(canal-background) { z-index: 2; } .overlay-1.image--light:before { background: #fff; } .overlay-1.bg--primary:before { background: #0084ff; } .overlay-1 :host { opacity: 0.1 !important; } .overlay-2 { position: relative; } .overlay-2:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-2 *:not(canal-background) { z-index: 2; } .overlay-2.image--light:before { background: #fff; } .overlay-2.bg--primary:before { background: #0084ff; } .overlay-2 :host { opacity: 0.2 !important; } .overlay-3 { position: relative; } .overlay-3:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-3 *:not(canal-background) { z-index: 2; } .overlay-3.image--light:before { background: #fff; } .overlay-3.bg--primary:before { background: #0084ff; } .overlay-3 :host { opacity: 0.3 !important; } .overlay-4 { position: relative; } .overlay-4:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-4 *:not(canal-background) { z-index: 2; } .overlay-4.image--light:before { background: #fff; } .overlay-4.bg--primary:before { background: #0084ff; } .overlay-4 :host { opacity: 0.4 !important; } .overlay-5 { position: relative; } .overlay-5:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-5 *:not(canal-background) { z-index: 2; } .overlay-5.image--light:before { background: #fff; } .overlay-5.bg--primary:before { background: #0084ff; } .overlay-5 :host { opacity: 0.5 !important; } .overlay-6 { position: relative; } .overlay-6:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-6 *:not(canal-background) { z-index: 2; } .overlay-6.image--light:before { background: #fff; } .overlay-6.bg--primary:before { background: #0084ff; } .overlay-6 :host { opacity: 0.6 !important; } .overlay-7 { position: relative; } .overlay-7:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-7 *:not(canal-background) { z-index: 2; } .overlay-7.image--light:before { background: #fff; } .overlay-7.bg--primary:before { background: #0084ff; } .overlay-7 :host { opacity: 0.7 !important; } .overlay-8 { position: relative; } .overlay-8:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-8 *:not(canal-background) { z-index: 2; } .overlay-8.image--light:before { background: #fff; } .overlay-8.bg--primary:before { background: #0084ff; } .overlay-8 :host { opacity: 0.8 !important; } .overlay-9 { position: relative; } .overlay-9:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-9 *:not(canal-background) { z-index: 2; } .overlay-9.image--light:before { background: #fff; } .overlay-9.bg--primary:before { background: #0084ff; } .overlay-9 :host { opacity: 0.9 !important; } .overlay-10 { position: relative; } .overlay-10:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } .overlay-10 *:not(canal-background) { z-index: 2; } .overlay-10.image--light:before { background: #fff; } .overlay-10.bg--primary:before { background: #0084ff; } .overlay-10 :host { opacity: 1 !important; } "],
                    template: "<ng-content></ng-content> "
                },] },
    ];
    /**
     * @nocollapse
     */
    BackgroundComponent.ctorParameters = function () { return [
        { type: core.ElementRef, },
        { type: core.Renderer2, },
    ]; };
    BackgroundComponent.propDecorators = {
        'src': [{ type: core.Input },],
        'opacity': [{ type: core.Input },],
    };
    return BackgroundComponent;
}(Canal));

/**
 * @hidden
 * Given a min and max, restrict the given number
 * to the range.
 * @param {?} min the minimum
 * @param {?} n the value
 * @param {?} max the maximum
 * @return {?}
 */

/**
 * @hidden
 * @param {?} obj
 * @return {?}
 */

/**
 * @hidden
 * @param {?} a
 * @param {?} b
 * @return {?}
 */

/**
 * @hidden
 * @param {?} fn
 * @param {?} wait
 * @param {?=} immediate
 * @return {?}
 */

/**
 * @hidden
 * Rewrites an absolute URL so it works across file and http based engines
 * @param {?} url
 * @return {?}
 */

/**
 * @hidden
 * Apply default arguments if they don't exist in
 * the first object.
 * @param {?} dest
 * @param {...?} _args
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */

/**
 * @hidden
 * @param {?} val
 * @return {?}
 */
function isTrueProperty(val) {
    if (typeof val === 'string') {
        val = val.toLowerCase().trim();
        return (val === 'true' || val === 'on' || val === '');
    }
    return !!val;
}
/**
 * @hidden
 * @param {?} a
 * @param {?} b
 * @return {?}
 */

/**
 * @hidden
 * Given a side, return if it should be on the right
 * based on the value of dir
 * @param {?} side the side
 * @param {?} isRTL whether the application dir is rtl
 * @param {?=} defaultRight whether the default side is right
 * @return {?}
 */

/**
 * @hidden
 * @param {?} array
 * @param {?} indexes
 * @return {?}
 */

/**
 * @hidden
 * @param {?} array
 * @param {?} item
 * @return {?}
 */

/**
 * @hidden
 * @param {?} isResetDirection
 * @param {?} isMovingFast
 * @param {?} isOnResetZone
 * @return {?}
 */

/**
 * @hidden
 * @param {?} functionToLazy
 * @return {?}
 */

var __extends$1 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var ButtonComponent = /** @class */ (function (_super) {
    __extends$1(ButtonComponent, _super);
    /**
     * @param {?} canalButton
     * @param {?} elementRef
     * @param {?} renderer
     */
    function ButtonComponent(canalButton, elementRef, renderer) {
        var _this = _super.call(this, elementRef, renderer, 'button') || this;
        /**
         * @hidden
         */
        _this._role = 'button';
        /**
         * @hidden
         */
        _this._style = 'default';
        return _this;
    }
    Object.defineProperty(ButtonComponent.prototype, "large", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._attr('_size', 'large', val);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ButtonComponent.prototype, "small", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._attr('_size', 'small', val);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ButtonComponent.prototype, "uppercase", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            if (isTrueProperty(val)) {
                this._uppercase = true;
                this.setElementClass('type--uppercase', true);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ButtonComponent.prototype, "finePrint", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._attr('_style', 'fine-print', val);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ButtonComponent.prototype, "block", {
        /**
         * \@input {boolean} If true, activates a button style that fills the available width.
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            if (isTrueProperty(val)) {
                this.setElementClass('block', true);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ButtonComponent.prototype, "icon", {
        /**
         * \@input {boolean} If true, activates a button style that fills the available width.
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._attr('_style', 'icon', val);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ButtonComponent.prototype, "transparent", {
        /**
         * \@input {boolean} If true, activates a button style that fills the available width.
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._attr('_style', 'transparent', val);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ButtonComponent.prototype, "unfilled", {
        /**
         * \@input {boolean} If true, activates a button style that fills the available width.
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._attr('_style', 'unfilled', val);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ButtonComponent.prototype, "floating", {
        /**
         * \@input {boolean} If true, makes the button float!
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            this._attr('_style', 'floating', val);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @hidden
     * @param {?} type
     * @param {?} attrName
     * @param {?} attrValue
     * @return {?}
     */
    ButtonComponent.prototype._attr = function (type, attrName, attrValue) {
        if (type === '_style') {
            this._updateColor(this._color, false);
        }
        this._setClass(((this))[type], false);
        if (isTrueProperty(attrValue)) {
            ((this))[type] = attrName;
            console.log(attrName);
            this._setClass(attrName, true);
        }
        else {
            // Special handling for '_style' which defaults to 'default'.
            ((this))[type] = (type === '_style' ? 'default' : null);
            this._setClass(((this))[type], true);
        }
        if (type === '_style') {
            this._updateColor(this._color, true);
        }
    };
    /**
     * @return {?}
     */
    ButtonComponent.prototype.ngOnInit = function () {
        this.setElementClass('button', true);
    };
    /**
     * @hidden
     * @param {?} color
     * @param {?} isAdd
     * @return {?}
     */
    ButtonComponent.prototype._updateColor = function (color, isAdd) {
        if (color && this._init) {
            // The class should begin with the button role
            // button, bar-button
            var /** @type {?} */ className = this._role;
            // If the role is not a bar-button, don't apply the solid style
            var /** @type {?} */ style = this._style;
            style = (this._role !== 'bar-button' && style === 'solid' ? 'default' : style);
            className += (style !== null && style !== '' && style !== 'default' ? '-' + style.toLowerCase() : '');
            if (color !== null && color !== '') {
                this.setElementClass(className + "-" + color, isAdd);
            }
        }
    };
    /**
     * @param {?} type
     * @param {?} assignCssClass
     * @return {?}
     */
    ButtonComponent.prototype._setClass = function (type, assignCssClass) {
        if (type && this._init) {
            type = type.toLocaleLowerCase();
            this.setElementClass(this._role + "-" + type, assignCssClass);
        }
    };
    ButtonComponent.decorators = [
        { type: core.Component, args: [{
                    selector: '[canal-button]',
                    styles: ["@keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @-webkit-keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } @-webkit-keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } html { font-size: 87.5%; } @media all and (max-width: 768px) { html { font-size: 81.25%; } } body { font-size: 1em; line-height: 1.85714em; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #666666; font-weight: 400; } h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 { font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #252525; font-weight: 300; font-variant-ligatures: common-ligatures; margin-top: 0; margin-bottom: 0; } h1, .h1 { font-size: 3.14286em; line-height: 1.31818em; } h2, .h2 { font-size: 2.35714em; line-height: 1.36364em; } h3, .h3 { font-size: 1.78571em; line-height: 1.5em; } h4, .h4 { font-size: 1.35714em; line-height: 1.36842em; } h5, .h5 { font-size: 1em; line-height: 1.85714em; } h6, .h6 { font-size: 0.85714em; line-height: 2.16667em; } .lead { font-size: 1.35714em; line-height: 1.68421em; } @media all and (max-width: 767px) { h1, .h1 { font-size: 2.35714em; line-height: 1.36364em; } h2, .h2 { font-size: 1.78571em; line-height: 1.5em; } h3, .h3 { font-size: 1.35714em; line-height: 1.85714em; } .lead { font-size: 1.35714em; line-height: 1.36842em; } } p, ul, ol, pre, table, blockquote { margin-bottom: 1.85714em; } ul, ol { list-style: none; line-height: 1.85714em; } ul.bullets { list-style: inside; } ol { list-style-type: upper-roman; list-style-position: inside; } blockquote { font-size: 1.78571em; line-height: 1.5em; padding: 0; margin: 0; border-left: 0; } strong { font-weight: 600; } hr { margin: 1.85714em 0; border-color: #FAFAFA; } a:hover, a:focus, a:active { text-decoration: none; outline: none; } /*! Typography -- Helpers */ .type--fade { opacity: .5; } .type--uppercase { text-transform: uppercase; } .type--bold { font-weight: bold; } .type--italic { font-style: italic; } .type--fine-print { font-size: 0.85714em; } .type--strikethrough { text-decoration: line-through; opacity: .5; } .type--underline { text-decoration: underline; } .type--body-font { font-family: \"Open Sans\", \"Helvetica\"; } /*! -- Stack Typography -- */ @media all and (max-width: 1024px) { html { font-size: 80%; } } h1, .h1 { letter-spacing: -.01em; } h1:not(:last-child), .h1:not(:last-child) { margin-bottom: 0.59090909090909em; } @media all and (min-width: 768px) { h1.h1--large, .h1.h1--large { font-weight: 200; font-size: 4.428571428571429em; line-height: 1.048387096774194em; } h1.h1--large:not(:last-child), .h1.h1--large:not(:last-child) { margin-bottom: 0.419354838709677em; } h1.h1--large.type--uppercase, .h1.h1--large.type--uppercase { letter-spacing: 10px; margin-right: -10px; } h1.h1--large + p.lead, .h1.h1--large + p.lead { margin-top: 2.052631578947368em; } } h2, .h2 { margin-bottom: 0.78787878787879em; } h3, .h3 { margin-bottom: 1.04em; } h3 strong, .h3 strong { font-weight: 400; } blockquote { font-family: 'Merriweather', serif; font-style: italic; font-weight: 300; } blockquote:not(:last-child) { margin-bottom: 1.04em; } blockquote > p { font-size: 1em !important; } h4, .h4 { margin-bottom: 1.36842105263158em; font-weight: 400; } h4.inline-block + .h4.inline-block:not(.typed-text), .h4.inline-block + .h4.inline-block:not(.typed-text) { margin-left: 0.68421052631579em; } h5, .h5 { font-weight: 600; } h5:not(:last-child), .h5:not(:last-child) { margin-bottom: 1.85714em; } h6, .h6 { font-weight: 700; } h6:not(:last-child), .h6:not(:last-child) { margin-bottom: 2.16666666666667em; } h6.type--uppercase, .h6.type--uppercase { letter-spacing: 1px; margin-right: -1px; } span.h1:not(.inline-block), span.h2:not(.inline-block), span.h3:not(.inline-block), span.h4:not(.inline-block), span.h5:not(.inline-block), span.h6:not(.inline-block) { display: block; } b { font-weight: 600; } hr { border-color: #ECECEC; } .bg--dark hr { border-color: #585858; } [class*='bg-']:not(.bg--white):not(.bg--secondary) p, [class*='imagebg']:not(.image--light) p { opacity: .9; } .lead { font-weight: 400; color: gray; } .lead:not(:last-child) { margin-bottom: 1.36842105263158em; } .lead + .btn:last-child { margin-top: 0.92857em; } p:last-child { margin-bottom: 0; } p strong { color: #252525; } pre { padding: 0.92857em; background: #FAFAFA; border: 1px solid #ececec; border-radius: 6px; line-height: 20px; max-height: 500px; } .bg--secondary > pre { background: whitesmoke; border-color: #ddd; } .text-block:not(:last-child) { margin-bottom: 1.85714em; } .text-block h2, .text-block .h2 { margin-bottom: 0.3939393939394em; } .text-block h5, .text-block .h5 { margin: 0; } .text-block h4:not(:last-child), .text-block .h4:not(:last-child) { margin-bottom: 0.3421052631579em; } .text-block h3, .text-block .h3 { margin-bottom: 0.52em; } @media all and (min-width: 768px) { div[class*='col-'] .text-block + .text-block { margin-top: 3.71429em; } } .heading-block { margin-bottom: 3.71429em; } .heading-block h1, .heading-block h2, .heading-block h3, .heading-block h4, .heading-block h5, .heading-block h6, .heading-block .h1, .heading-block .h2, .heading-block .h3, .heading-block .h4, .heading-block .h5, .heading-block .h6 { margin-bottom: 0; } :host.button { font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; transition: 0.1s linear; -webkit-transition: 0.1s linear; -moz-transition: 0.1s linear; border-radius: 6px; padding-top: 0.46429em; padding-bottom: 0.46429em; padding-right: 2.78571em; padding-left: 2.78571em; border: 1px solid #252525; border-width: 1px; font-size: inherit; line-height: 1.85714em; } :host.button .button-inner, :host.button i { color: #252525; border-color: #252525; font-weight: 700; font-size: 0.85714em; } :host.button[class*='col-'] { margin-left: 0; margin-right: 0; } :host.button:active { box-shadow: none; -webkit-box-shadow: none; } :host.button.button-facebook, :host.button.button-twitter, :host.button.button-instagram, :host.button.button-googleplus, :host.button.button-pinterest, :host.button.button-dribbble, :host.button.button-behance, :host.button.button-dark { border-color: transparent !important; } :host.button.button-facebook .button-inner, :host.button.button-twitter .button-inner, :host.button.button-instagram .button-inner, :host.button.button-googleplus .button-inner, :host.button.button-pinterest .button-inner, :host.button.button-dribbble .button-inner, :host.button.button-behance .button-inner, :host.button.button-dark .button-inner { color: #fff; } :host.button.button-facebook .button-inner i, :host.button.button-twitter .button-inner i, :host.button.button-instagram .button-inner i, :host.button.button-googleplus .button-inner i, :host.button.button-pinterest .button-inner i, :host.button.button-dribbble .button-inner i, :host.button.button-behance .button-inner i, :host.button.button-dark .button-inner i { color: #fff; } :host.button.button-facebook:hover, :host.button.button-twitter:hover, :host.button.button-instagram:hover, :host.button.button-googleplus:hover, :host.button.button-pinterest:hover, :host.button.button-dribbble:hover, :host.button.button-behance:hover, :host.button.button-dark:hover { opacity: .9; } :host.button.button-danger { background: #E23636; border-color: #E23636 !important; } :host.button.button-danger:hover { background: #e54c4c; border-color: #e54c4c !important; color: #fff !important; } :host.button.button-danger .button-inner { color: #fff; } :host.button.button-danger .button-inner i { color: #fff; } @media all and (min-width: 768px) { :host.button + .button { margin-left: 1.85714em; } } :host.button:first-child { margin-left: 0; } :host.button:last-child { margin-right: 0; } :host.button-small { padding-top: 0.30952em; padding-bottom: 0.30952em; padding-right: 1.85714em; padding-left: 1.85714em; } :host.button-large { padding-top: 0.58036em; padding-bottom: 0.58036em; padding-right: 3.48214em; padding-left: 3.48214em; } :host.button-large .button-inner { font-size: 1.07143em; } :host.button-primary, :host.button-primary:visited { background: #0084ff; border-color: #0084ff; } :host.button-primary .button-inner, :host.button-primary:visited .button-inner { color: #fff; } :host.button-primary .button-inner i, :host.button-primary:visited .button-inner i { color: #fff; } :host.button-primary:hover { background: #1a90ff; } :host.button-primary:active { background: #0077e6; } :host.button-secondary { background: #4A90E2; border-color: #4A90E2; } :host.button-secondary:hover { background: #5395e3; } :host.button-secondary:active { background: #418be1; } :host.button-white { background: #fff; color: #252525; border-color: #fff; } :host.button-white i { color: #252525; } :host.button-transparent { background: none; border-color: transparent; padding-left: 0; padding-right: 0; } :host.button-transparent.button-white .button-inner { color: #fff; } :host.button-unfilled { background: none; } :host.button-unfilled.button-white .button-inner { color: #fff; } :host.button-unfilled.button-white i { color: #fff; } :host.button-floating { position: fixed; bottom: 3.71429em; right: 3.71429em; z-index: 10; } :host.button { position: relative; } :host.button:not([class*='primary']) { border-color: #d3d3d3; } :host.button:not([class*='primary']):hover { border-color: #252525; } :host.button.type--uppercase { letter-spacing: .5px; } :host.button.type--uppercase .button-inner { letter-spacing: .5px; margin-right: -.5px; } :host.button .label { top: -0.92857em; right: -3.71429em; } :host.button.button-large .button-inner { font-weight: 600; } :host.button.button-large.type--uppercase .button-inner { letter-spacing: 1px; } :host.button.type--fine-print p, :host.button.type--fine-print span { margin-top: 1.08333333333334em; } :host.button.block { margin-left: auto; margin-left: right; width: 100%; margin-top: 0.92857em; } :host.button:hover { transform: translate3d(0, -2px, 0); -webkit-transform: translate3d(0, -2px, 0); } :host.button.button-small { margin-left: 0.92857em; } p:host > .button { text-decoration: none; } @media all and (max-width: 767px) { .button:not(:last-child) { margin-bottom: 1.85714em; } } :host.button-icon { padding-left: 5.57143em; } :host.button-icon i { position: absolute; height: 100%; left: 0; top: 0; background: rgba(0, 0, 0, 0.1); padding: 0 13px; border-radius: 6px 0 0 6px; font-size: 16px; line-height: 41px; } :host.button-icon i.socicon { line-height: 42px; } .imagebg:not(.image--light) :host.button-icon:not([class*='bg']):not([class*='primary']) i { color: #fff; background: rgba(255, 255, 255, 0.2); } @media all and (min-width: 768px) { .button-group :host.button { margin-bottom: 0 !important; margin-left: 0; } .button-group :host.button + .button { margin-left: 0; } .button-group :host.button:not(:first-child):not(:last-child) { border-radius: 0; } .button-group :host.button:first-child { border-radius: 6px 0 0 6px; } .button-group :host.button:last-child { border-radius: 0 6px 6px 0; } .button-group :host.button:first-child:nth-last-child(2), .button-group :host.button:last-child:nth-child(2) { width: 50%; } } .button-group { border: none; padding: 0; } @media all and (max-width: 767px) { .button-group :host.button { display: block; } } :host.button-primary div:not(.feature) :host.button-primary { background: #fff; border-color: #fff; } :host.button-primary div:not(.feature) :host.button-primary .button-inner { color: #0084ff; } :host.button-primary > :host.button-primary { background: #fff; border-color: #fff; } :host.button-primary > :host.button-primary .button-inner { color: #0084ff; } :host.button-dark :host.button:not(:host.button-primary) { border-color: #3f3f3f; } :host.button-dark :host.button:not(:host.button-primary):hover { border-color: #656565; } :host.button-dark :host.button .button-inner { color: #fff; } .imagebg:not(.image--light) :host.button:not(.button-primary) { border-color: rgba(255, 255, 255, 0.3); } .imagebg:not(.image--light) :host.button:not(.button-primary):hover { border-color: #fff; } .imagebg.image--light :host.button:not(.button-primary) { border-color: #252525; background: rgba(255, 255, 255, 0.3); } .imagebg.image--light :host.button:not(.button-primary):hover { background: rgba(255, 255, 255, 0.5); } h1 :host.button, .h1 :host.button { margin-top: 1.85714em; } h2 :host.button, .h2 :host.button { margin-top: 0.92857em; } :host.button.disabled, :host.button[disabled], fieldset[disabled] :host.button { cursor: not-allowed; pointer-events: none; opacity: 0.65; filter: alpha(opacity=65); -webkit-box-shadow: none; box-shadow: none; } "],
                    template: "<span class=\"button-inner\">\n        <ng-content></ng-content>\n    </span>"
                },] },
    ];
    /**
     * @nocollapse
     */
    ButtonComponent.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: core.Attribute, args: ['canal-button',] },] },
        { type: core.ElementRef, },
        { type: core.Renderer2, },
    ]; };
    ButtonComponent.propDecorators = {
        'large': [{ type: core.Input },],
        'small': [{ type: core.Input },],
        'uppercase': [{ type: core.Input },],
        'finePrint': [{ type: core.Input },],
        'block': [{ type: core.Input },],
        'icon': [{ type: core.Input },],
        'transparent': [{ type: core.Input },],
        'unfilled': [{ type: core.Input },],
        'floating': [{ type: core.Input },],
    };
    return ButtonComponent;
}(Canal));

var __extends$2 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var SectionComponent = /** @class */ (function (_super) {
    __extends$2(SectionComponent, _super);
    /**
     * @param {?} elementRef
     * @param {?} renderer
     */
    function SectionComponent(elementRef, renderer) {
        var _this = _super.call(this, elementRef, renderer) || this;
        _this.elementRef = elementRef;
        _this.renderer = renderer;
        return _this;
    }
    Object.defineProperty(SectionComponent.prototype, "overlay", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            console.log('overlay' + val);
            if (isTrueProperty(val)) {
                this.setElementClass("overlay-" + val, true);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SectionComponent.prototype, "height", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            console.log('height' + val);
            if (isTrueProperty(val) && val % 10 === 0) {
                this.setElementClass("height-" + val, true);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SectionComponent.prototype, "image", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            if (isTrueProperty(val)) {
                this.setElementClass('imagebg', true);
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SectionComponent.prototype, "light", {
        /**
         * @param {?} val
         * @return {?}
         */
        set: function (val) {
            if (isTrueProperty(val)) {
                this.setElementClass('image--light', true);
            }
        },
        enumerable: true,
        configurable: true
    });
    SectionComponent.decorators = [
        { type: core.Component, args: [{
                    selector: '[canal-section]',
                    styles: ["@keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInUp { from { opacity: 0; transform: translate3d(0, 50px, 0); -webkit-transform: translate3d(0, 50px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInDown { from { opacity: 0; transform: translate3d(0, -100px, 0); -webkit-transform: translate3d(0, -100px, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutUp { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(0, -50px, 0); -webkit-transform: translate3d(0, -50px, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeOutRight { from { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); } to { opacity: 0; transform: translate3d(50px, 0, 0); -webkit-transform: translate3d(50px, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @-webkit-keyframes fadeInLeft { from { opacity: 0; transform: translate3d(-50px, 0, 0); -webkit-transform: translate3d(-50px, 0, 0); } to { opacity: 1; transform: translate3d(0, 0, 0); -webkit-transform: translate3d(0, 0, 0); -webkit-font-smoothing: antialiased; } } @keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @-webkit-keyframes pulse { 0% { opacity: 0; transform: scale(1); -webkit-transform: scale(1); } 50% { opacity: 1; } 100% { opacity: 0; transform: scale(2); -webkit-transform: scale(2); } } @keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } @-webkit-keyframes kenBurns { 0% { transform: scale(1); -webkit-transform: scale(1); } 100% { transform: scale(1.1); -webkit-transform: scale(1.1); } } html { font-size: 87.5%; } @media all and (max-width: 768px) { html { font-size: 81.25%; } } body { font-size: 1em; line-height: 1.85714em; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #666666; font-weight: 400; } h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 { font-family: \"Open Sans\", \"Helvetica\", \"Arial\", sans-serif; color: #252525; font-weight: 300; font-variant-ligatures: common-ligatures; margin-top: 0; margin-bottom: 0; } h1, .h1 { font-size: 3.14286em; line-height: 1.31818em; } h2, .h2 { font-size: 2.35714em; line-height: 1.36364em; } h3, .h3 { font-size: 1.78571em; line-height: 1.5em; } h4, .h4 { font-size: 1.35714em; line-height: 1.36842em; } h5, .h5 { font-size: 1em; line-height: 1.85714em; } h6, .h6 { font-size: 0.85714em; line-height: 2.16667em; } .lead { font-size: 1.35714em; line-height: 1.68421em; } @media all and (max-width: 767px) { h1, .h1 { font-size: 2.35714em; line-height: 1.36364em; } h2, .h2 { font-size: 1.78571em; line-height: 1.5em; } h3, .h3 { font-size: 1.35714em; line-height: 1.85714em; } .lead { font-size: 1.35714em; line-height: 1.36842em; } } p, ul, ol, pre, table, blockquote { margin-bottom: 1.85714em; } ul, ol { list-style: none; line-height: 1.85714em; } ul.bullets { list-style: inside; } ol { list-style-type: upper-roman; list-style-position: inside; } blockquote { font-size: 1.78571em; line-height: 1.5em; padding: 0; margin: 0; border-left: 0; } strong { font-weight: 600; } hr { margin: 1.85714em 0; border-color: #FAFAFA; } a:hover, a:focus, a:active { text-decoration: none; outline: none; } /*! Typography -- Helpers */ .type--fade { opacity: .5; } .type--uppercase { text-transform: uppercase; } .type--bold { font-weight: bold; } .type--italic { font-style: italic; } .type--fine-print { font-size: 0.85714em; } .type--strikethrough { text-decoration: line-through; opacity: .5; } .type--underline { text-decoration: underline; } .type--body-font { font-family: \"Open Sans\", \"Helvetica\"; } /*! -- Stack Typography -- */ @media all and (max-width: 1024px) { html { font-size: 80%; } } h1, .h1 { letter-spacing: -.01em; } h1:not(:last-child), .h1:not(:last-child) { margin-bottom: 0.59090909090909em; } @media all and (min-width: 768px) { h1.h1--large, .h1.h1--large { font-weight: 200; font-size: 4.428571428571429em; line-height: 1.048387096774194em; } h1.h1--large:not(:last-child), .h1.h1--large:not(:last-child) { margin-bottom: 0.419354838709677em; } h1.h1--large.type--uppercase, .h1.h1--large.type--uppercase { letter-spacing: 10px; margin-right: -10px; } h1.h1--large + p.lead, .h1.h1--large + p.lead { margin-top: 2.052631578947368em; } } h2, .h2 { margin-bottom: 0.78787878787879em; } h3, .h3 { margin-bottom: 1.04em; } h3 strong, .h3 strong { font-weight: 400; } blockquote { font-family: 'Merriweather', serif; font-style: italic; font-weight: 300; } blockquote:not(:last-child) { margin-bottom: 1.04em; } blockquote > p { font-size: 1em !important; } h4, .h4 { margin-bottom: 1.36842105263158em; font-weight: 400; } h4.inline-block + .h4.inline-block:not(.typed-text), .h4.inline-block + .h4.inline-block:not(.typed-text) { margin-left: 0.68421052631579em; } h5, .h5 { font-weight: 600; } h5:not(:last-child), .h5:not(:last-child) { margin-bottom: 1.85714em; } h6, .h6 { font-weight: 700; } h6:not(:last-child), .h6:not(:last-child) { margin-bottom: 2.16666666666667em; } h6.type--uppercase, .h6.type--uppercase { letter-spacing: 1px; margin-right: -1px; } span.h1:not(.inline-block), span.h2:not(.inline-block), span.h3:not(.inline-block), span.h4:not(.inline-block), span.h5:not(.inline-block), span.h6:not(.inline-block) { display: block; } b { font-weight: 600; } hr { border-color: #ECECEC; } .bg--dark hr { border-color: #585858; } [class*='bg-']:not(.bg--white):not(.bg--secondary) p, [class*='imagebg']:not(.image--light) p { opacity: .9; } .lead { font-weight: 400; color: gray; } .lead:not(:last-child) { margin-bottom: 1.36842105263158em; } .lead + .btn:last-child { margin-top: 0.92857em; } p:last-child { margin-bottom: 0; } p strong { color: #252525; } pre { padding: 0.92857em; background: #FAFAFA; border: 1px solid #ececec; border-radius: 6px; line-height: 20px; max-height: 500px; } .bg--secondary > pre { background: whitesmoke; border-color: #ddd; } .text-block:not(:last-child) { margin-bottom: 1.85714em; } .text-block h2, .text-block .h2 { margin-bottom: 0.3939393939394em; } .text-block h5, .text-block .h5 { margin: 0; } .text-block h4:not(:last-child), .text-block .h4:not(:last-child) { margin-bottom: 0.3421052631579em; } .text-block h3, .text-block .h3 { margin-bottom: 0.52em; } @media all and (min-width: 768px) { div[class*='col-'] .text-block + .text-block { margin-top: 3.71429em; } } .heading-block { margin-bottom: 3.71429em; } .heading-block h1, .heading-block h2, .heading-block h3, .heading-block h4, .heading-block h5, .heading-block h6, .heading-block .h1, .heading-block .h2, .heading-block .h3, .heading-block .h4, .heading-block .h5, .heading-block .h6 { margin-bottom: 0; } :host { background: #252525; } :host.overlay-0 { position: relative; } :host.overlay-0:before { position: absolute; content: ''; background: #252525; width: 100%; height: 100%; top: 0; left: 0; z-index: 1; } :host.overlay-0 *:not(canal-background) { z-index: 2; } :host.overlay-0.image--light:before { background: #fff; } :host.overlay-0.bg--primary:before { background: #0084ff; } :host.overlay-0:before { opacity: 0; } :host.image--light canal-background { background: none; } :host.imagebg { position: relative; } :host.imagebg .container { z-index: 2; } :host.imagebg .container:not(.pos-absolute) { position: relative; } :host.imagebg:not(.image--light) h1, :host.imagebg:not(.image--light) h2, :host.imagebg:not(.image--light) h3, :host.imagebg:not(.image--light) h4, :host.imagebg:not(.image--light) h5, :host.imagebg:not(.image--light) h6, :host.imagebg:not(.image--light) p, :host.imagebg:not(.image--light) ul, :host.imagebg:not(.image--light) blockquote { color: #fff; } :host.imagebg:not(.image--light) .bg--white h1, :host.imagebg:not(.image--light) .bg--white h2, :host.imagebg:not(.image--light) .bg--white h3, :host.imagebg:not(.image--light) .bg--white h4, :host.imagebg:not(.image--light) .bg--white h5, :host.imagebg:not(.image--light) .bg--white h6 { color: #252525; } :host.imagebg:not(.image--light) .bg--white p, :host.imagebg:not(.image--light) .bg--white ul { color: #666666; } :host.height-10 { height: 10; } :host.height-20 { height: 20; } :host.height-30 { height: 30; } :host.height-40 { height: 40; } :host.height-50 { height: 50; } :host.height-60 { height: 60; } :host.height-70 { height: 70; } :host.height-80 { height: 80; } :host.height-90 { height: 90; } :host.height-100 { height: 100; } "],
                    // template: "",
                    template: "\n    <ng-content></ng-content>\n  "
                },] },
    ];
    /**
     * @nocollapse
     */
    SectionComponent.ctorParameters = function () { return [
        { type: core.ElementRef, },
        { type: core.Renderer2, },
    ]; };
    SectionComponent.propDecorators = {
        'overlay': [{ type: core.Input },],
        'height': [{ type: core.Input },],
        'image': [{ type: core.Input },],
        'light': [{ type: core.Input },],
    };
    return SectionComponent;
}(Canal));

var __extends$3 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var UnsplashBadgeComponent = /** @class */ (function (_super) {
    __extends$3(UnsplashBadgeComponent, _super);
    /**
     * @param {?} elementRef
     * @param {?} renderer
     */
    function UnsplashBadgeComponent(elementRef, renderer) {
        var _this = _super.call(this, elementRef, renderer, 'unsplash-badge') || this;
        _this.elementRef = elementRef;
        _this.renderer = renderer;
        return _this;
    }
    Object.defineProperty(UnsplashBadgeComponent.prototype, "url", {
        /**
         * @return {?}
         */
        get: function () {
            return "http://unsplash.com/@" + this.username + "?utm_medium=referral&amp;utm_campaign=photographer-credit&amp;utm_content=creditBadge";
        },
        enumerable: true,
        configurable: true
    });
    UnsplashBadgeComponent.decorators = [
        { type: core.Component, args: [{
                    selector: 'canal-unsplash-badge',
                    styles: [":host { opacity: 1; transition: 1s; } :host a { background-color: black; color: white; text-decoration: none; padding: 4px 6px; font-family: -apple-system, BlinkMacSystemFont, \"San Francisco\", \"Helvetica Neue\", Helvetica, Ubuntu, Roboto, Noto, \"Segoe UI\", Arial, sans-serif; font-size: 12px; font-weight: 700; line-height: 1.2; display: inline-block; border-radius: 3px; } :host a:hover { opacity: .8; } :host span { display: inline-block; padding: 2px 3px; } "],
                    template: "<a [href]=\"url\" target=\"_blank\" rel=\"noopener noreferrer\" title=\"Download free do whatever you want high-resolution photos from Richard Lock\" class=\"badge\"> <span> <svg xmlns=\"http://www.w3.org/2000/svg\" style=\"height:12px;width:auto;position:relative;vertical-align:middle;top:-1px;fill:white;\" viewBox=\"0 0 32 32\"> <title></title> <path d=\"M20.8 18.1c0 2.7-2.2 4.8-4.8 4.8s-4.8-2.1-4.8-4.8c0-2.7 2.2-4.8 4.8-4.8 2.7.1 4.8 2.2 4.8 4.8zm11.2-7.4v14.9c0 2.3-1.9 4.3-4.3 4.3h-23.4c-2.4 0-4.3-1.9-4.3-4.3v-15c0-2.3 1.9-4.3 4.3-4.3h3.7l.8-2.3c.4-1.1 1.7-2 2.9-2h8.6c1.2 0 2.5.9 2.9 2l.8 2.4h3.7c2.4 0 4.3 1.9 4.3 4.3zm-8.6 7.5c0-4.1-3.3-7.5-7.5-7.5-4.1 0-7.5 3.4-7.5 7.5s3.3 7.5 7.5 7.5c4.2-.1 7.5-3.4 7.5-7.5z\"></path> </svg> </span> <span>{{name}}</span> </a> "
                },] },
    ];
    /**
     * @nocollapse
     */
    UnsplashBadgeComponent.ctorParameters = function () { return [
        { type: core.ElementRef, },
        { type: core.Renderer2, },
    ]; };
    UnsplashBadgeComponent.propDecorators = {
        'name': [{ type: core.Input },],
        'username': [{ type: core.Input },],
    };
    return UnsplashBadgeComponent;
}(Canal));

var CanalModule = /** @class */ (function () {
    function CanalModule() {
    }
    /**
     * @return {?}
     */
    CanalModule.forRoot = function () {
        return {
            ngModule: CanalModule,
            providers: []
        };
    };
    CanalModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule
                    ],
                    declarations: [
                        AccordionComponent,
                        AccordionElementComponent,
                        AlertComponent,
                        BackgroundComponent,
                        ButtonComponent,
                        SectionComponent,
                        UnsplashBadgeComponent
                    ],
                    exports: [
                        AccordionComponent,
                        AccordionElementComponent,
                        AlertComponent,
                        BackgroundComponent,
                        ButtonComponent,
                        SectionComponent,
                        UnsplashBadgeComponent
                    ]
                },] },
    ];
    /**
     * @nocollapse
     */
    CanalModule.ctorParameters = function () { return []; };
    return CanalModule;
}());

exports.CanalModule = CanalModule;

Object.defineProperty(exports, '__esModule', { value: true });

})));
