import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { Canal } from '../../canal';
export declare class ButtonComponent extends Canal implements OnInit {
    /** @hidden */
    _role: string;
    /** @hidden */
    _style: string;
    /** @hidden */
    _display: string;
    /** @hidden */
    _disabled: boolean;
    /** @hidden */
    _size: string;
    /** @hidden */
    _uppercase: boolean;
    large: any;
    small: any;
    uppercase: any;
    finePrint: any;
    /**
     * @input {boolean} If true, activates a button style that fills the available width.
     */
    block: boolean;
    /**
     * @input {boolean} If true, activates a button style that fills the available width.
     */
    icon: boolean;
    /**
     * @input {boolean} If true, activates a button style that fills the available width.
     */
    transparent: boolean;
    /**
   * @input {boolean} If true, activates a button style that fills the available width.
   */
    unfilled: boolean;
    /**
        * @input {boolean} If true, makes the button float!
        */
    floating: boolean;
    /** @hidden */
    _attr(type: string, attrName: string, attrValue: boolean): void;
    constructor(canalButton: string, elementRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    /**
     * @hidden
     */
    _updateColor(color: string, isAdd: boolean): void;
    _setClass(type: string, assignCssClass: boolean): void;
}
